#!/bin/sh

B='#00000000'  # blank
C='#ffffff22'  # clear ish
D='#ff00ffcc'  # default
T='#ee00eeee'  # text
W='#880000bb'  # wrong
V='#bb00bbbb'  # verifying

RED='#aa0000ff'
BLACK='#000000ff'
GRAY='#aaaaaaff'

i3lock \
-i ~/.config/img/lockscreen.png \
-t                    \
--insidevercolor=$B   \
--ringvercolor=$GRAY  \
\
--insidewrongcolor=$B \
--ringwrongcolor=$RED \
\
--insidecolor=$B      \
--ringcolor=$B        \
--linecolor=$B        \
--separatorcolor=$B   \
\
--verifcolor=$GRAY    \
--wrongcolor=$RED     \
--timecolor=$BLACK    \
--datecolor=$BLACK    \
--keyhlcolor=$GRAY    \
--bshlcolor=$GRAY     \
\
--clock               \
--indicator           \
--timestr="%H:%M:%S"  \
--datestr="%A, %m %Y" \
#--keylayout 0         \
#--blur 5              \
#--screen 1            \

# --veriftext="Drinking verification can..."
# --wrongtext="Nope!"
# --textsize=20
# --modsize=10
# --timefont=comic-sans
# --datefont=monofur
# etc
